#define PACKET_LENGTH  66

void main () {

    unsigned char ucDataToTransfer[PACKET_LENGTH - 2];
    unsigned char i;
    unsigned int uiCRC;
    unsigned char ucCRCh, ucCRCl;
    
    UART_Init(9600);
    
    InitCrc();
    for (i = 0; i < (PACKET_LENGTH - 2); i++)   {
        ucDataToTransfer[i] = i;    //fill here with your data
        CalcCrc(ucDataToTransfer[i]);
    }
    
    GetCrcWord(&uiCRC);              //use this to extract the CRC16 entire word or...
    GetCrcByte(&ucCRCh, &ucCRCl);    //this to extract CRC16 MSB/LSB
    
    //now you can transmit your data with CRC16
    for (i = 0; i < (PACKET_LENGTH - 2); i++)   UART_Write(ucDataToTransfer[i]);
    UART_Write(ucCRCh);
    UART_Write(ucCRCl);
    
}
